soundtouch (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop preserve-cxxflags.patch. Merged upstream.
  * Bump shlibs version to account for new symbols.
  * Mark libsoundtouch-dev as Multi-Arch: same.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 18 Sep 2015 01:37:20 -0400

soundtouch (1.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Create a custom soundtouch_config.h file. (Closes: #749746)
  * debian/patches:
    - Drop dont-use-integers-if-softfp.patch - fixed upstream.
    - Drop fix-fp-rounding-error.patch - merged upstream.
    - Add preserve-cxxflags.patch to preserved the flags set by dh.
  * Add --disable-silent-rules to avoid a compiler-flags-hidden warning.
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 02 Jul 2015 02:07:13 -0400

soundtouch (1.8.0-1) unstable; urgency=low

  * New upstream release.
    - Added support for multi-channel audio processing.
    - Added support for cubic and shannon interpolation for rate and pitch shift
      effects besides the original linear interpolation, to reduce aliasing at
      high frequencies due to interpolation. Cubic interpolation is used as
      default for floating point processing, and linear interpolation for
      integer processing.
    - Fixed bug in anti-alias filtering that limited stop-band attenuation to
      -10 dB instead of <-50dB, and increased filter length from 32 to 64 taps
      to further reduce aliasing due to frequency folding.
    - Performance improvements in cross-correlation algorithm.
    - Other bug and compatibility fixes.
  * Refresh patches.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * debian/copyright: Update the copyright years.
  * Bump shlibs to (>= 1.8.0).

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 31 Jan 2014 16:46:38 -0500

soundtouch (1.7.1-5) unstable; urgency=low

  * Team upload.
  * Fix assertion in findCrossingLevel (LP: #1193667)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 10 Dec 2013 12:07:30 +0800

soundtouch (1.7.1-4) unstable; urgency=low

  * Team upload.
  * debian/control: Fix Breaks of libsoundtouch0. The binary package is called
    gstreamer1.0-plugins-bad and not gst-plugins-bad1.0.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 23 Sep 2013 00:24:35 +0200

soundtouch (1.7.1-3) unstable; urgency=low

  * Team upload.
  * debian/patches/dont-use-integers-if-softp.patch: Revert ABI breakage on
    armel. Don't use integers instead of floats if __SOFTP__ is defined.
    (Closes: #723681)
  * debian/control:
    - libsoundtouch-dev: Don't mark as M-A: same. It contains arch-dependent
      files in /usr/include/soundtouch. (Closes: #707751)
    - libsoundtouch0: Add Breaks on gstreamer1.0-plugins-bad and yatm (armel
      only). They have been built against the broken ABI.
  * debian/rules: Bump shlibs of libsoundtouch0 to >= 1.7.1-3~.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Sep 2013 16:00:23 +0200

soundtouch (1.7.1-2) unstable; urgency=low

  * Upload to unstable.
  * Use canonical URL for VCS fields.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 May 2013 12:44:43 +0200

soundtouch (1.7.1-1) experimental; urgency=low

  * New upstream release.
  * Remove empty debian/patches/series.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Jan 2013 14:25:00 +0000

soundtouch (1.7.0-2) experimental; urgency=low

  * Remove 01_remove_sse.patch, no longer needed.
  * Simplify the rules file. The shared library is now built by default.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 05 Sep 2012 02:29:37 -0400

soundtouch (1.7.0-1) experimental; urgency=low

  [ Miguel A. Colón Vélez ]
  * debian/copyright
    - Update the copyright years.
    - Wrap the license paragraph to column 80.
  * Update my entry in the uploaders list.

  [ Alessio Treglia ]
  * New upstream release.
  * Update debian/copyright.
  * Refresh patches.
  * Remove 02_nostrip.patch, no longer needed.

 -- Alessio Treglia <alessio@debian.org>  Tue, 04 Sep 2012 18:26:44 +0200

soundtouch (1.6.0-3) unstable; urgency=low

  * debian/copyright:
    - Fix the syntax in the license paragraph.
    - Update copyright years.
    - Update to finalized DEP-5 copyright-format 1.0.
  * Bump Standards-Version to 3.9.3.
  * Bump the debhelper version and compatibility level to 9.
    - Adds hardening support.
    - Drops the need to explicitly use DEB_HOST_MULTIARCH in the rules file.
  * Mark libsoundtouch-dev as Multi-Arch: same.

 -- Miguel Colon <debian.micove@gmail.com>  Sun, 04 Mar 2012 21:03:50 -0500

soundtouch (1.6.0-2) unstable; urgency=low

  * Build for Multiarch. Drop lib32* (Closes: #635169).
    Thanks to Gregory Hainaut for the patch.
  * Enable parallel builds.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Jul 2011 12:45:30 +0200

soundtouch (1.6.0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * Bump Standards.

  [ Miguel Colon ]
  * Imported Upstream version 1.6.0
  * Bump debhelper to version 8.
  * debian/rules:
    - Remove workaround that was needed when using debhelper 7.
  * debian/patches:
    - Drop 00_upstream_fixes.patch - merged upstream.
    - Refresh 01_remove_sse.patch.
    - Drop 03_WavFile.patch - fixed upstream.
  * Remove debian/clean file.
  * debian/copyright
    - Update as per DEP-5 rev.174 (no changes needed).
    - Update copyright years.
    - Update the URI of the format specification.

 -- Miguel Colon <debian.micove@gmail.com>  Sat, 16 Jul 2011 21:36:02 -0400

soundtouch (1.5.0-5) unstable; urgency=low

  [ Miguel Colon ]
  * Remove soundtouch.pc during the clean routine.
  * Remove 04_remove_asm.patch since 02_remove_sse.patch already does this.
  * Remove obsolete README.Debian file.
  * Update and rename the files in debian/patches.

  [ Alessio Treglia ]
  * Put soundtouch.pc into debian/clean.
  * Update libsoundtouch0.docs, README.Debian has been deleted.

 -- Miguel Colon <debian.micove@gmail.com>  Thu, 10 Mar 2011 14:49:09 -0500

soundtouch (1.5.0-4) unstable; urgency=low

  [ Alessio Treglia ]
  * Deapply patch after git-buildpackage'ing, abort on upstream changes.

  [ Miguel Colon ]
  * Change file permissions to 644 in debian/*
  * Add 09_WavFile.patch: Don't crash with 24/32 Wav files. (LP: #639927)
  * Fix the 08_nostrip.patch: Do not patch autogenerated files.
  * Update 01_upstream_fixes.patch: Do not install the soundtouch-1.4.pc file.
  * libsoundtouch-dev: needs to provide libsoundtouch1-dev (Closes: #615140)
  * Do not remove libsoundtouch1c2 if installed. (Closes: #615141, #615269)

 -- Miguel Colon <debian.micove@gmail.com>  Sat, 26 Feb 2011 23:39:41 +0100

soundtouch (1.5.0-3) unstable; urgency=low

  [ Miguel Colon ]
  * Override dh_prep only when it's actually needed.
  * Fix FTBFS when using debhelper 7 and not building the lib32 packages.
  * Add myself as uploader.
  * Strip the SONAME out of the lib32 -DEV runtime's name.
  * Rename libsoundtouch0-dev.install to libsoundtouch-dev.install.
  * Rename and update libsoundtouch0-dev.links to libsoundtouch-dev.links.
  * Rename lib32soundtouch0-dev.install to lib32soundtouch-dev.install.
  * Rename and update lib32soundtouch0-dev.links to lib32soundtouch-dev.links.
  * Update dependencies of lib32soundtouch-dev.

  [ Alessio Treglia ]
  * Upload to unstable.
  * Strip the SONAME out of the -DEV runtime's name.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Feb 2011 00:44:05 +0100

soundtouch (1.5.0-2) experimental; urgency=low

  [ Alessio Treglia ]
  * Adopting this (Closes: #546981).
  * Add gbp config file.
  * debian/control: A bit of style and clean-up.
  * Downgrade debhelper dependency, debhelper >= 7.0.50~ is enough.
  * Update as per DEP-5 rev.162.
  * libsoundtouch0-dev provides libsoundtouch-dev.
  * lib32soundtouch0-dev provides lib32soundtouch-dev
  * Add .gitignore to skip .pc/* files.

  [ Miguel Colon ]
  * Update the description field of the development packages.
  * One dependency per line for package soundstretch.
  * Create the libsoundtouch0-dbg package.
  * Create the lib32soundtouch0-dbg package.
  * Create the soundstretch-dbg package.
  * Change copyright year.

 -- Alessio Treglia <alessio@debian.org>  Thu, 20 Jan 2011 11:11:14 +0100

soundtouch (1.5.0-1) experimental; urgency=low

  [ Alessio Treglia ]
  * QA upload.
  * Set Maintainer to Debian QA Group.
  * Set target to experimental.
  * Don't install static libraries.
  * Remove libtool *.la files.
  * debian/rules:
    - dh_autoreconf is a superset of the autotools-dev debhelper addons so
      don't use both autoreconf and dh_autotools_dev helpers, otherwise the
      package source directory may be left in an inconsistent state once the
      build has finished.

  [ Miguel Colon ]
  * New upstream release. (closes: #516905, #585557)
    - Update soundstretch manual page.
    - Remove 07_gcc43.patch since it's already fixed upstream.
  * Add upstream patch fixing obsolete version references.
    - Mantain soundtouch-1.4.pc for compatibility.
  * Add a debian watch file. (closes: #543729)
  * Bump Standards-Version to 3.9.1.
  * Rename libsoundtouch1c2 to libsoundtouch0 and libsoundtouch1-dev to 
    libsoundtouch0-dev so we comply with policy.
    - Obsolete c2 naming due to CXX transition is not needed anymore.
    - ardour used to provide libsoundtouch0 and libsoundtouch0-dev as mentioned 
      in #271108. These packages were removed in 2004.
  * Convert package to 3.0 (quilt) format:
    - Bump debhelper compatibility level to 8.
    - Update build dependencies. 
    - Fix paths in *.install and *.docs files.
    - Update rules file.
    - Update patches to quilt and add headers.
  * Make lintian happier:
    - Fix duplicated word warning and other typos.
    - Add ${misc:Depends} to libsoundtouch0.
    - Update and reformat copyright file.
  * Add packages lib32soundtouch0-dev and lib32soundtouch0.
  * Instead of providing the same doc folders. Create a symlink from the doc 
    folder of libsoundtouch0-dev, lib32soundtouch0-dev and lib32soundtouch0 to
    the doc folder of libsoundtouch0.

 -- Alessio Treglia <alessio@debian.org>  Wed, 12 Jan 2011 12:18:38 +0100

soundtouch (1.3.1-2) unstable; urgency=low

  * removed sse flag in Makefile.am (closes: #479809)
  * upstream supplies pgconfig file, using that (closes: #476699)
  * new upstream version accepted (closes: #462643)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 07 May 2008 11:04:58 +0200

soundtouch (1.3.1-1) unstable; urgency=low

  * new upstream version
  * acknowledged NMU changes
  * Standards-Version to 3.7.3

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 05 May 2008 15:57:40 +0200

soundtouch (1.3.0-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Forcibly run automake as well as aclocal, ensuring that the versions of
    automake and aclocal used are in sync (Closes: #471635).
    - Use aclocal 1.8, not 1.7 as in the previous NMU, since that appears to
      be the version used upstream
  * Make lintian slightly happier:
    - move -dev package to libdevel
    - correctly use the word "Copyright", not just (C), in debian/copyright

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Sat, 05 Apr 2008 11:56:51 +0100

soundtouch (1.3.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build multiple times in a row. (Closes: #444542, #441747).
    + Adjust DEB_AUTO_UPDATE_*.
    + Add DEB_AC_AUX_DIR.
  * 07_gcc43.patch - Build with gcc-4.3. (Closes: #455171).
    + Thanks to Cyril Brulebois for the patch.
  * 08_nostrip.patch - Stop LD from stripping. (Closes: #438038).

 -- Barry deFreese <bddebian@comcast.net>  Mon, 10 Mar 2008 00:55:24 -0400

soundtouch (1.3.0-2.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/06_gcc41.patch: Remove extra qualification from C++ header
    file (closes: #356522).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 22:16:25 +0200

soundtouch (1.3.0-2) unstable; urgency=low

  * changed optimization to -O2 (hope this helps for building on mk68)
  * Added manpage to soundstretch (closes: #324080)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed,  5 Oct 2005 13:11:15 +0200

soundtouch (1.3.0-1) unstable; urgency=low

  * added the aclocal macros
  * new upstream version (closes: #310278)
  * added soundstretch example as separate package (closes: #244586),
    thanks to Rudolf Weeber for the patch.

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 16 Aug 2005 16:07:09 +0200

soundtouch (1.2.1-8) unstable; urgency=low

  * Update libtool (closes: #318971)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 21 Jul 2005 11:09:37 +0200

soundtouch (1.2.1-7) unstable; urgency=low

  * C++ transition: renamed libsoundtouch1 to libsoundtouch1c2 
    (closes: #318972,#318971)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 19 Jul 2005 10:15:05 +0200

soundtouch (1.2.1-6) unstable; urgency=low

  * Fixed description of usage of the integer version in README.Debian
    (closes: #300198)
  * Added a pkgconfig file

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 21 Mar 2005 15:54:06 +0100

soundtouch (1.2.1-5) unstable; urgency=low

  * disabled assembler code (closes: #267986)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 25 Aug 2004 17:37:44 +0200

soundtouch (1.2.1-4) unstable; urgency=low

  * Compiling float and integer version of the library, integer version
    gets installed to libSoundTouch_i
  * Exchanged assert.h by our own (ardour-like) flavour
  * Added README.html file

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 19 Aug 2004 20:14:10 +0200

soundtouch (1.2.1-3) unstable; urgency=low

  * Added missing build depends (closes: #266581)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 18 Aug 2004 15:04:05 +0200

soundtouch (1.2.1-2) unstable; urgency=low

  * Added -V switch to dh_makeshlibs in order to create versioned shlibs file
  * libsndsound1-dev provides libsoundtouch-dev
  * Added section to source files (libs)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 17 Aug 2004 19:17:42 +0200

soundtouch (1.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 10 Aug 2004 20:15:01 +0200

